/**
 * Store.js - global app state.
 *
 * Part of the basebox sample TODO app.
 * https://basebox.tech
 */
import { reactive } from 'vue'

export const store = reactive({

  /** Username of the currently logged-in user */
  userName: "stranger",

  /** The host that runs basebox and waits for GraphQL requests */
  baseboxHost: "http://127.0.0.1:8080",

  /** basebox session data */
  session: null,

})

